# Uses of Class
org.mariadb.jdbc.internal.util.dao.ClientPrepareResult

Packages that use ClientPrepareResult
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.internal.com.send
org.mariadb.jdbc.internal.protocol
org.mariadb.jdbc.internal.util.dao

## Uses of ClientPrepareResult in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return ClientPrepareResult
Modifier and Type
Method
Description
`protected ClientPrepareResult`
ClientSidePreparedStatement.`getPrepareResult()`

## Uses of ClientPrepareResult in org.mariadb.jdbc.internal.com.send

Methods in org.mariadb.jdbc.internal.com.send with parameters of type ClientPrepareResult
Modifier and Type
Method
Description
`static void`
ComQuery.`sendSubCmd(PacketOutputStream out, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters, int queryTimeout)`
Client-side PrepareStatement.execute() packet send.

## Uses of ClientPrepareResult in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol with parameters of type ClientPrepareResult
Modifier and Type
Method
Description
`boolean`
AbstractQueryProtocol.`executeBatchClient(boolean mustExecuteOnMaster, Results results, ClientPrepareResult prepareResult, List<ParameterHolder[]> parametersList)`
Execute clientPrepareQuery batch.
`boolean`
Protocol.`executeBatchClient(boolean mustExecuteOnMaster, Results results, ClientPrepareResult prepareResult, List<ParameterHolder[]> parametersList)`
`void`
AbstractQueryProtocol.`executeQuery(boolean mustExecuteOnMaster, Results results, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters)`
Execute a unique clientPrepareQuery.
`void`
AbstractQueryProtocol.`executeQuery(boolean mustExecuteOnMaster, Results results, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters, int queryTimeout)`
Execute a unique clientPrepareQuery.
`void`
Protocol.`executeQuery(boolean mustExecuteOnMaster, Results results, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters)`
`void`
Protocol.`executeQuery(boolean mustExecuteOnMaster, Results results, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters, int timeout)`
Constructors in org.mariadb.jdbc.internal.protocol with parameters of type ClientPrepareResult
Modifier
Constructor
Description
``
`AbstractMultiSend(Protocol protocol, PacketOutputStream writer, Results results, ClientPrepareResult clientPrepareResult, List<ParameterHolder[]> parametersList, ThreadPoolExecutor readScheduler)`
Bulk execute for client-side PreparedStatement.executeBatch (no prepare).

## Uses of ClientPrepareResult in org.mariadb.jdbc.internal.util.dao

Methods in org.mariadb.jdbc.internal.util.dao that return ClientPrepareResult
Modifier and Type
Method
Description
`static ClientPrepareResult`
ClientPrepareResult.`parameterParts(String queryString, boolean noBackslashEscapes)`
Separate query in a String list and set flag isQueryMultipleRewritable.
`static ClientPrepareResult`
ClientPrepareResult.`rewritableParts(String queryString, boolean noBackslashEscapes)`
Separate query in a String list and set flag isQueryMultiValuesRewritable The parameters "?" (not in comments) emplacements are to be known.